=== debian/changelog ===
s390-tools (2.12.0-0ubuntu3) focal; urgency=medium

  * Update patch series to master tip:
    - PVM / genprotimg LP: #1834534, FFe LP: #1866866
    - zipl/libc: Fix potential buffer overflow LP: #1865032
    - zipl: Fix secureboot documentation LP: #1864654
    - Many other smaller bugfixes

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Mar 2020 12:08:13 +0000

s390-tools (2.12.0-0ubuntu2) focal; urgency=medium

  * Cherrypick more patches from upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Feb 2020 15:39:48 +0000

s390-tools (2.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release, plus cherrypick patches from master.
    LP: #1860574 LP: #1860531 LP: #1859018 LP: #1853308

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jan 2020 22:27:05 +0000

s390-tools (2.11.0-0ubuntu2) focal; urgency=medium

  * Rebuild for libsnmp35.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 14 Jan 2020 18:04:49 +0000
