=== debian/control ===
Source: s390-tools
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Philipp Kern <pkern@debian.org>
Build-Depends: debhelper (>> 9), libz-dev, quilt, gcc-multilib, libfuse-dev, libncurses-dev, libpfm4-dev, libsnmp-dev, dh-systemd, libssl-dev, libcryptsetup-dev, libjson-c-dev, libglib2.0-dev
Standards-Version: 3.9.7
Homepage: http://www.ibm.com/developerworks/linux/linux390/s390-tools.html

Package: s390-tools
Architecture: s390 s390x
Priority: important
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${signing:Depends}, gawk
Recommends: sg3-utils
Suggests: s390-tools-cpuplugd, s390-tools-osasnmpd, s390-tools-statd, multipath-tools, lsscsi, rsync, blktrace
Description: fundamental utilities for Linux on z Systems
 The package contains:
  * dasdfmt, which is used to low-level format ECKD-DASDs with either
    the classic disk layout or the new zSeries compatible disk layout.
  * dasdview, which is used to display DASD and VTOC information or to
    dump the contents of a DASD to the console.
  * fdasd, which is used to create or modify partitions on ECKD-DASDs
    formatted with the zSeries compatible disk layout.
  * zipl, which is used to make either dasds or tapes bootable for
    system IPL or system dump.
  * zgetdump, which is used to retrieve system dumps from either tapes
    or dasds.

Package: s390-tools-cpuplugd
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cpuplugd utility for Linux on z Systems
 The package contains cpuplugd hotplug daemon from the s390-tools
 collection of utilities.

Package: s390-tools-statd
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: s390-tools (<<1.34.0-0ubuntu7~)
Replaces: s390-tools (<<1.34.0-0ubuntu7~)
Description: mon_statd monitoring daemons for Linux on z Systems
 The package contains mon_procd and mon_fsstatd z/VM monitoring
 daemons for Linux on z Systems from the s390-tools collection of
 utilities. These tools are also known as mon_statd.

Package: s390-tools-osasnmpd
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: osasnmpd utility for Linux on z Systems
 The package contains osasnmpd monitoring daemon from the s390-tools
 collection of utilities.

Package: s390-tools-zkey
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zkey utilities for Linux on z Systems
 The package contains zkey and zkey-cryptsetup from the s390-tools
 collection of utilities.

Package: s390-tools-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for Linux on z Systems
 This is a minimal package used by debian-installer.
 This package contains only the binaries chzdev, lszdev, dasdfmt and
 fdasd.

Package: s390-tools-zkey-udeb
XC-Package-Type: udeb
Section: debian-installer
Priority: standard
Architecture: s390 s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zkey utilities for Linux on z Systems
 The package contains zkey and zkey-cryptsetup from the s390-tools
 collection of utilities for the debian-installer
