=== debian/changelog ===
s390-tools (2.14.0-1ubuntu1) groovy; urgency=medium

  * Merge from Debian, remaining changes:
    - add libssl-dev, libglib2.0-dev build-deps
    - add support for signed zipl
    - package cpuplugd, osasnmpd, statd, zkey
    - update copyright file
    - fix kernel installer script integration, to skip calling zipl without initrd
    - load monwriter kernel module for mon_statd/mon_fsstatd
    - do not run dumpconf in lxc
    - ziomon change exit code to 0 for version and help
    - add zkey initramfs hook
    - change zkey default back to argon2i
    - drop patch that disables building osasnmpd
    - drop udevpath patch to init script, systemd units are used instead
    - enable hardening
    - enable initramfs & dracut integration
    - install more utilities and zdev initramfs integration
    - setup users/groups for mon_*, iucvterm, zkey
    - setup crashkernel integration
    - ship zdev in udeb
    - drop ziomon package, shipped in the main package

  * New upstream release fixes LP: #1892350, LP: #1888231, LP: #1884773,
    LP: #1884744, LP: #1884721

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 26 Aug 2020 11:11:23 +0100

s390-tools (2.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Sun, 23 Aug 2020 08:04:49 -0400

s390-tools (2.12.0-0ubuntu6) groovy; urgency=medium

  * Rebuild against new json-c5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jul 2020 19:56:05 +0200

s390-tools (2.12.0-0ubuntu5) groovy; urgency=medium

  * lsluns: fix udevadm calls to settle LP: #1873973.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 10 Jul 2020 12:44:00 +0100

s390-tools (2.12.0-0ubuntu4) groovy; urgency=medium

  * Don't run dumpconf service in LXC
    It just fails to start in unprivileged containers

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 20 May 2020 14:34:58 +0200
