=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian S/390 Team <debian-s390@lists.debian.org>
 Uploaders: Bastian Blank <waldi@debian.org>, Philipp Kern <pkern@debian.org>
-Build-Depends: debhelper (>> 9), libz-dev, quilt, gcc-multilib, libfuse-dev, libncurses-dev, libpfm4-dev, libsnmp-dev, dh-systemd, libssl-dev, libcryptsetup-dev, libjson-c-dev, libglib2.0-dev
+Build-Depends: debhelper (>> 9), libz-dev, quilt, gcc-multilib, libfuse-dev, libncurses-dev, libpfm4-dev, libcurl4-openssl-dev, libsnmp-dev, dh-systemd, libssl-dev, libcryptsetup-dev, libjson-c-dev, libglib2.0-dev
 Standards-Version: 3.9.7
 Homepage: http://www.ibm.com/developerworks/linux/linux390/s390-tools.html
 
 Package: s390-tools
 Architecture: s390 s390x
 Priority: important
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${signing:Depends}, gawk
+Depends: ${shlibs:Depends}, ${misc:Depends}, perl, ${signing:Depends}, gawk
 Recommends: sg3-utils
 Suggests: s390-tools-cpuplugd, s390-tools-osasnmpd, s390-tools-statd, multipath-tools, lsscsi, rsync, blktrace
 Description: fundamental utilities for Linux on z Systems
