=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 SIGN_SIPL=yes
 endif
 SIGN_SIPL=yes
-
-xnox:
-	$(if $(SIGN_SIPL),echo 'signing:Depends=s390-tools-signed (= $(DEB_VERSION))')
 
 %:
 	dh $@ --parallel --with systemd
